Package Details: vimpc-git 0.09.2.r8.gc518610-2

Git Clone URL: https://aur.archlinux.org/vimpc-git.git (read-only, click to copy)
Package Base: vimpc-git
Description: Vi/vim inspired client for Music Player Daemon (MPD)
Upstream URL: https://github.com/boysetsfrog/vimpc
Keywords: media music
Licenses: GPL3
Conflicts: vimpc
Provides: vimpc
Submitter: boysetsfrog
Maintainer: willemw
Last Packager: willemw
Votes: 23
Popularity: 0.000967
First Submitted: 2013-07-18 15:46 (UTC)
Last Updated: 2022-01-09 19:15 (UTC)

Required by (0)

Sources (1)

Latest Comments

willemw commented on 2020-10-18 13:43 (UTC)

@m040601: Thanks. Done.

m040601 commented on 2020-10-18 13:26 (UTC)

The documentation includes a vimpcrc.example file, https://github.com/boysetsfrog/vimpc/tree/master/doc

This file should also be installed to /usr/share/doc/vimpc, but is missing from the PKGBUILD

willemw commented on 2020-10-02 16:52 (UTC)

@samhh: Thanks. Fixed.

samhh commented on 2020-09-24 15:28 (UTC)

The SRCINFO has a prepended "v" in the version, but the PKGBUILD does not. Is this intentional? I think this is what's breaking upgrades of this package for me in aura.

camarllon commented on 2019-08-02 18:16 (UTC)

For those who experimented pcre error, intall pkgconf fixed the problem to me.

dkasak commented on 2018-08-09 21:28 (UTC)

Anyone feeling like taking on this package? I'll probably disown it since I no longer use vimpc.

willemw commented on 2017-03-15 07:17 (UTC)

@seberm: many packages work on ARM platforms, however, these other platforms don't have to be specified in "arch=". See Wiki https://wiki.archlinux.org/index.php/PKGBUILD: "If instead a package can be compiled for any architecture, but is architecture-specific once compiled, specify all architectures officially supported by Arch, i.e. arch=('i686' 'x86_64')"

seberm commented on 2017-03-14 23:06 (UTC)

Any reason to not support other architectures (for example 'armv7h')? On my rpi with 'armv7h' everything builds and works just fine :).

s00pcan commented on 2017-01-30 18:18 (UTC)

Deps pkg-config for me.

willemw commented on 2016-03-11 07:49 (UTC)

'v' from the version should be truncated: git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'

dkasak commented on 2015-10-18 22:12 (UTC)

@willemw: Done, thanks!

willemw commented on 2015-10-18 11:35 (UTC)

Cannot install this package because vimpc was already installed: error: failed to commit transaction (conflicting files) vimpc-git: /usr/bin/vimpc exists in filesystem vimpc-git: /usr/share/doc/vimpc/help.txt exists in filesystem vimpc-git: /usr/share/man/man1/vimpc.1.gz exists in filesystem Errors occurred, no packages were upgraded. Please add to PKGBUILD to fix this: provides=('vimpc') conflicts=('vimpc')

philpirj commented on 2014-07-15 16:40 (UTC)

Best console based player ever

alucryd commented on 2013-08-28 10:23 (UTC)

Please email aur-general next time you duplicate a package so we can merge the deprecated one into the new one.

commented on 2013-08-11 20:16 (UTC)

Nice! Thanks! Great addition to the AUR.

boysetsfrog commented on 2013-07-21 09:39 (UTC)

@bohoomil: Thanks. If there are any features you think are desperately missing, please request them on github.

bohoomil commented on 2013-07-18 17:20 (UTC)

That's really nice. I'll need some time to explore its features, but so far I like it very much. :)

GermainZ commented on 2013-07-17 07:59 (UTC)

Updated PKGBUILD: http://sprunge.us/bOWF Thanks :)

commented on 2011-08-19 18:49 (UTC)

Your dependencies are wrong, this is how it's right: depends=('pcre' 'ncurses' 'libmpdclient') makedepends=('subversion')